#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-7C8uAS7Mtqz7Oa6HT15rCQ
key:                  coinbase-pro-0.9.3.2-7C8uAS7Mtqz7Oa6HT15rCQ
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  6d2e1f5e24506f9c004e0c80b852d824
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-7C8uAS7Mtqz7Oa6HT15rCQ
depends:
    HsOpenSSL-0.11.7.4-BtZDiC5CJBQDTDRl3Voy0t
    aeson-2.1.1.0-824MMm6zV6xEr28MDvSJot
    aeson-casing-0.2.0.0-72A4LZXmHve72kiUr4J2C
    async-2.2.4-GElwEr766DP3ejURF9fDgA base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-LvH00qFLnM7FSIiGQe5hJm exceptions-0.10.4
    http-api-data-0.5-D9zwSI51KE2KMsFeuQJC7B
    http-client-0.7.13.1-ITMkk7Y5s8h8w9r2TxwoMN
    http-client-tls-0.3.6.1-G5QLi4SUmAp2faqGWQdvzs
    http-streams-0.8.9.6-3DBWvHIXZtfHKC7pua05AU
    http-types-0.12.3-2gQpFR1wI763LY1oRtjKTr
    io-streams-1.5.2.2-I51GFaCwIiiKiUL4mi7QLA
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-CYWaC4XvHgd3jC4vMNSEt4
    servant-0.19.1-5FsmyNnkdMh9VYGbBxKm5Q
    servant-client-0.19-CBvCYOw8FoJGAZ7lVKqCWJ
    servant-client-core-0.19-I7NZnOIJbvnFilKWlZFWHu
    tasty-1.4.3-HaWWxdcWofMHTq0KPVqHEm
    tasty-hunit-0.10.0.3-DGE51XnzBTGG1N19TK9A32 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-6vFUKw66nCQCILpk0gZxcN
    unordered-containers-0.2.19.1-EPPruxTTvhrC7TkRbqnSfO
    uuid-1.3.15-6pfCkENvk1g2FTWC6BqI8b
    vector-0.13.0.0-FO1psvzIWe996069p2V3EL
    websockets-0.12.7.3-FJYCHpLEr5F8LWyu7rrOFe
    wuss-2.0.0.2-5rqKdTGraKgCrRAkbiE4wF

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

